## tcsh 6.06-3

=== nls/Makefile ===

SUBDIRS=	C german french
#GENCAT=	gencat -new
GENCAT=		gencat

catalogs:
	@for i in ${SUBDIRS} ; \
	do \
	    echo "$$i"; \
	    cd $$i; \
	    cat set[0-9] set[0-9][0-9] > ../../tcsh.$$i.m; \
	    cd ..; \
	    ${GENCAT} ../tcsh.$$i.cat ../tcsh.$$i.m; \
	done

clean:
	@for i in ${SUBDIRS} ; \
	do \
	    rm -f $$i/*~; \
	    rm -f ../tcsh.$$i.cat ../tcsh.$$i.m; \
	done

## tcsh 6.07.06

=== nls/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 
-SUBDIRS=	C german french
+SUBDIRS=	C german french greek spanish
 #GENCAT=	gencat -new
 GENCAT=		gencat

## tcsh 6.21.00

=== debian/changelog ===
tcsh (6.21.00-4) unstable; urgency=medium

  * QA upload.
  * d/copyright: Convert to machine-readable format.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from deprecated 9 to 10.
  * Fix day-of-week for changelog entry 6.06-4.
  * Update standards version to 4.5.0, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 14 Dec 2022 02:46:34 +0000

tcsh (6.21.00-3) unstable; urgency=medium

  * QA upload.
  * Convert to 3.0 source format. (Closes: #1007077)

 -- Bastian Germann <bage@debian.org>  Sat, 03 Dec 2022 12:22:56 +0100

tcsh (6.21.00-2) unstable; urgency=medium

  * QA upload.
  * Set Maintainer to Debian QA Group. (see #1019858)
  * Add upstream fix for FTBFS with bash 5.2. (Closes: #1020064)
  * Add upstream fix for range comparison bug. (Closes: #999754)

 -- Adrian Bunk <bunk@debian.org>  Sat, 19 Nov 2022 23:13:18 +0200

tcsh (6.21.00-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build with gcc-10 (thanks for the patch to Étienne Mollier)
    Closes: #957866

 -- Andreas Tille <tille@debian.org>  Wed, 12 Aug 2020 08:19:55 +0200

tcsh (6.21.00-1) unstable; urgency=low

  * new upstream, Closes: #888479, #878442
  * add support for /etc/csh/cshrc.d/* files
  * control: new git url's, update standards version
    add multi-arch info, Closes: #917089
  * remove obsolete patch lexical-test

 -- Thomas Lange <lange@debian.org>  Tue, 16 Jul 2019 19:34:22 +0200

tcsh (6.20.00-8) UNRELEASED; urgency=medium

  * d/changelog: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org

 -- Ondřej Nový <onovy@debian.org>  Mon, 01 Oct 2018 10:33:10 +0200

tcsh (6.20.00-7) unstable; urgency=high

  * postrm: remove symlink, not executable, Closes: #852117
  * postinst: create symlink before calling update-alternatives,
    Closes: #854659

 -- Thomas Lange <lange@debian.org>  Thu, 09 Feb 2017 13:07:47 +0000

tcsh (6.20.00-6) unstable; urgency=high

  * postrm: move code for upgrade case, Closes: #854575

 -- Thomas Lange <lange@debian.org>  Wed, 08 Feb 2017 21:53:19 +0000

tcsh (6.20.00-5) unstable; urgency=low

  * make piuparts happy, Closes: #852117

 -- Thomas Lange <lange@debian.org>  Mon, 23 Jan 2017 22:48:05 +0100

tcsh (6.20.00-4) unstable; urgency=high

  * Fix FTCBFS: Support DEB_BUILD_OPTIONS=nocheck, thanks to Helmut Grohne

 -- Thomas Lange <lange@debian.org>  Thu, 19 Jan 2017 13:57:48 +0000

tcsh (6.20.00-3) unstable; urgency=high

  * add patch to fix RC bug, Closes #851046

 -- Thomas Lange <lange@debian.org>  Thu, 19 Jan 2017 11:23:08 +0100

tcsh (6.20.00-2) unstable; urgency=high

  * rules: put executable into /bin, make new symlink, Closes: #847139
  * variables.at: disable cdtohome test

 -- Thomas Lange <lange@debian.org>  Sun, 11 Dec 2016 18:51:28 +0000

tcsh (6.20.00-1) unstable; urgency=low

  * new upstream, Closes: #632892, #594154
  * add emacs startup, Closes: #816772

 -- Thomas Lange <lange@debian.org>  Sat, 03 Dec 2016 19:58:58 +0000

tcsh (6.18.01-3) unstable; urgency=medium

  * disable test, Closes: #760837
  * control: update to standards version 3.9.5, no changes needed

 -- Thomas Lange <lange@debian.org>  Tue, 09 Sep 2014 12:59:43 +0200

tcsh (6.18.01-2) unstable; urgency=low

  * add entry to /etc/shells Closes: #664485
  * update to Standards-Version 3.9.3, no changes needed

 -- Thomas Lange <lange@debian.org>  Thu, 21 Jun 2012 22:52:58 +0200

tcsh (6.18.01-1) unstable; urgency=low

  * new upstream version Closes: #645238
  * rules: enable hardening options Closes: #644402
  * control: update to 3.9.2, no changes needed, remove package versions
    from build-depends
  * patches/co-completion: remove -co* completion Closes: #628960
  * watch: use passive mode for ftp

 -- Thomas Lange <lange@debian.org>  Tue, 14 Feb 2012 14:05:09 +0100

tcsh (6.17.06-2) unstable; urgency=medium

  * readd disable-lexical.at-31.patch Closes: #635102

 -- Thomas Lange <lange@debian.org>  Sat, 10 Sep 2011 00:55:25 +0200

tcsh (6.17.06-1) unstable; urgency=low

  * new upstream version
  * Removed patches:
    + 07_nls.patch
    + fix-make-catalogs.patch
    + disable-lexical.at-31.patch
    + tcsh-6.17.02-multibyte.patch
    + disable-broken-test.patch
  * do not set $LINES and $LINES, this removes former git patch b063c65
    Closes: #623330, #605279
  * debian/csh.login: use full path for ls, fixing the script for people
    with an aliased ls. Closes: #607828. LP: #70763
  * README.Debian: add info about the bug tracker

 -- Thomas Lange <lange@debian.org>  Thu, 21 Jul 2011 22:25:34 +0200

tcsh (6.17.02-4) unstable; urgency=high

  * new maintainer Closes: #592093
  * add tcsh-6.17.02-multibyte.patch Closes: #603545

 -- Thomas Lange <lange@debian.org>  Mon, 06 Dec 2010 17:41:17 +0100

tcsh (6.17.02-3) unstable; urgency=low

  * Re-add 12_unknown_lscolors.patch. Closes segfault when removed.
    Closes: #592089.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sat, 07 Aug 2010 10:08:06 -0400

tcsh (6.17.02-2) unstable; urgency=low

  * Set $COLUMNS and $LINES in csh.{cshrc,login}. Closes: #580498. LP: #546032
  * Standards-Version bumped to 3.8.4. No changes needed.
  * Upload to unstable.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Fri, 06 Aug 2010 15:22:42 -0400

tcsh (6.17.02-1) experimental; urgency=low

  * New upstream release.
  * Merged patches:
    + 01_build.1.patch
    + 06_man.patch
    + 10_hurd.patch
  * Removed patches:
    + 02_fix.patch - no longer needed
    + 12_unknown_lscolors.patch - upstream says:
        "rejected - will not apply now, I'd rather see the error and
         fix $LS_COLORS than eat it up silently."
  * Bug fixes:
    + "Crash with autoexpand and no histchars" (LP: #96490)
    + "tcsh history file fails to save commands with "!" properly" (LP: #139537)
    + "tcsh's sending of HUPs to children is broken" (Closes: #314641)
    + "tcsh doesn't support CR/LF end-of-lines in some cases, contrary to csh"
      (Closes: #462346)


=== debian/control ===
Source: tcsh
Section: shells
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: autotools-dev, libncurses-dev, debhelper (>= 10~), autoconf
Vcs-Browser: https://salsa.debian.org/debian/tcsh
Vcs-Git: https://salsa.debian.org/debian/tcsh.git
Standards-Version: 4.5.0
Homepage: https://www.tcsh.org/

Package: tcsh
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: c-shell
Description: TENEX C Shell, an enhanced version of Berkeley csh
 The TENEX C Shell is an enhanced version of the Berkeley Unix C shell.
 It includes all features of 4.4BSD C shell, plus a command-line editor,
 programmable word completion, spelling correction and more.

=== debian/rules ===
#!/usr/bin/make -f
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

-include /usr/share/dpkg/buildflags.mk
export CPPFLAGS CFLAGS LDFLAGS

CFLAGS += -D_FILE_OFFSET_BITS=64

%:
	dh $@

override_dh_auto_configure:
	cp /usr/share/misc/config.sub .
	cp /usr/share/misc/config.guess .
	dh_auto_configure -- --bindir=/bin

override_dh_auto_build:
	$(MAKE)
	$(MAKE) catalogs

override_dh_auto_install:
	dh_auto_install
	$(MAKE) install.man DESTDIR=$(CURDIR)/debian/tcsh/
	install -d -m 0755 debian/tcsh/etc debian/tcsh/etc/csh debian/tcsh/etc/csh/login.d debian/tcsh/etc/csh/cshrc.d debian/tcsh/usr/share/doc/tcsh
	install    -m 0644 debian/csh.cshrc debian/csh.login debian/csh.logout complete.tcsh debian/tcsh/etc
	install -D -m 0644 csh-mode.el debian/tcsh/usr/share/emacs/site-lisp/csh-mode.el
	dh_installchangelogs -a Fixes
	dh_installexamples -a complete.tcsh
	dh_installemacsen

ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
override_dh_auto_test:
	LS_COLORS= make check || (cat testsuite.log ; false)
endif

override_dh_auto_clean:
	[ ! -f nls/Makefile ] || make -C nls clean
	dh_auto_clean
	rm -f atconfig
	rm -rf tests/package.m4 tests/testsuite testsuite.dir testsuite.log

## tcsh 6.24.07

=== debian/changelog ===
tcsh (6.24.07-1) unstable; urgency=medium

  * New maintainer (Closes: #1019858).
  * New upstream version.
  * d/control:
    + Bump Standards-Version to 4.6.2.
    + Upgrade to debhelper-compat version 13.
    + Add Rules-Requires-Root line.
  * d/compat: Remove for dh 13.
  * d/copyright: Add debian folder copyright info.
  * d/patches:
    + Update and refresh existing patches.
    + Remove 0001-PR*.patch, 0001-bash*.patch, 01_build.2.patch,
      disable-test-home.patch (not needed).
    + Add add-cppflag.patch to fix blhc failure.
    + Add fix-greek-locale-code.patch to fix lintian locale warning.
    + Add fix-acute-accent-in-manpage.patch to fix lintian warning.
  * d/postinst:
    + Remove update-menus calls.
    + Change which to command -v.
  * d/postrm:
    + Remove update-menus calls.
    + Change which to command -v.
  * d/preinst: Remove.
  * d/README.Debian: Update information.
  * d/README.source: Remove.
  * d/rules: Add hardening flags.
  * d/tcsh.lintian-overrides: Override false positive warnings.
  * d/upstream/metadata: New file.
  * d/watch: Upgrade to version 4, switch to github link.

 -- Josef Schneider <josef81sch@gmail.com>  Fri, 20 Jan 2023 14:41:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: tcsh
 Section: shells
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: autotools-dev, libncurses-dev, debhelper (>= 10~), autoconf
+Maintainer: Josef Schneider <josef81sch@gmail.com>
+Build-Depends: libncurses-dev, debhelper-compat (= 13)
 Vcs-Browser: https://salsa.debian.org/debian/tcsh
 Vcs-Git: https://salsa.debian.org/debian/tcsh.git
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Homepage: https://www.tcsh.org/
 
 Package: tcsh

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 -include /usr/share/dpkg/buildflags.mk
 export CPPFLAGS CFLAGS LDFLAGS

## tcsh 6.24.10

=== debian/changelog ===
tcsh (6.24.10-4build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:23:15 +1100

tcsh (6.24.10-4) unstable; urgency=medium

  * debian/patches:
    + Add priority-values-nice-test.patch.
      - Fixes reproducible-builds issue.
      - Fixes issue in multiple archs, including loong64 (Closes: #1059508).
      - Tests permissions for nice priority values.
    + Add exit-kill-status-test.patch.
      - Fixes builds using qemu environment.
    + Add use-LC_ALL-with-sort.patch.
      - Fixes reprotest failure.
  * debian/copyright: Add 2024 to debian copyright year.

 -- Josef Schneider <josef81sch@gmail.com>  Mon, 12 Feb 2024 17:15:03 +0100

tcsh (6.24.10-3) unstable; urgency=medium

  * debian/rules:
    + Remove unnecessary copy config.* command (Closes: #1045622).
    + Remove extra make clean command.

 -- Josef Schneider <josef81sch@gmail.com>  Mon, 14 Aug 2023 14:55:23 +0200

tcsh (6.24.10-2) unstable; urgency=medium

  * d/copyright: Update source to github link.
  * d/tests:
    + Add autopkgtest for tcsh.
    + Create run-testsuite sh script to generate and run testsuite from build
      process on the installed package.

 -- Josef Schneider <josef81sch@gmail.com>  Wed, 12 Jul 2023 20:44:29 +0200

tcsh (6.24.10-1) unstable; urgency=medium

  * New upstream version.
  * d/patches:
    + Remove disable-test-nice.patch (test passes during build).
    + Update disable-test-cdtohome.patch (surrounding changes).
    + Refresh other patches.
  * d/tcsh.lintian-overrides: Update line numbers for overrides.
  * d/dirs: Remove to eliminate lintian warning.
  * d/shells.d: Add shells.d/tcsh file.
  * d/tcsh.install: Install d/shells.d/tcsh to /usr/share/debianutils/shells.d.
  * d/postrm:
    + Switch {add,remove}-shell to update-shells.
    + Allow for downgrades.

 -- Josef Schneider <josef81sch@gmail.com>  Fri, 16 Jun 2023 14:18:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: tcsh
 Section: shells
 Priority: optional
-Maintainer: Josef Schneider <josef81sch@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Josef Schneider <josef81sch@gmail.com>
 Build-Depends: libncurses-dev, debhelper-compat (= 13)
 Vcs-Browser: https://salsa.debian.org/debian/tcsh
 Vcs-Git: https://salsa.debian.org/debian/tcsh.git

=== debian/rules ===
--- 
+++ 
@@ -13,8 +13,6 @@
 	dh $@
 
 override_dh_auto_configure:
-	cp /usr/share/misc/config.sub .
-	cp /usr/share/misc/config.guess .
 	dh_auto_configure -- --bindir=/bin
 
 override_dh_auto_build:
@@ -37,7 +35,6 @@
 endif
 
 override_dh_auto_clean:
-	[ ! -f nls/Makefile ] || make -C nls clean
 	dh_auto_clean
 	rm -f atconfig
 	rm -rf tests/package.m4 tests/testsuite testsuite.dir testsuite.log

=== debian/tests/control ===
Tests: run-testsuite
Depends: tcsh, autoconf, libncurses-dev, build-essential

## tcsh 6.24.12

=== debian/changelog ===
tcsh (6.24.12-1) unstable; urgency=medium

  * New upstream versions 6.24.11 and 6.24.12.
  * debian/patches: Remove patches fixed in upstream.
    + priority-values-nice-test.patch
    + exit-kill-status-test.patch
    + use-LC_ALL-with-sort.patch
  * debian/patches: Refresh disable-test-notty.patch.
  * debian/patches: Remove add-cppflag.patch, already hardening in rules.
  * debian/patches: Add gethost-crossbuild-flags.patch.
    + Fixes arm64 crossbuild failure by passing correct build flags to gethost.
  * debian/tcsh.lintian-overrides: Update line numbers.
  * debian/copyright: Add dotlock.* files and BSD-2-clause license.
  * debian/control:
    + Add dpkg-dev as build-dep for *_FOR_BUILD flags.
    + Bump Standards-Version to 4.7.0.
  * debian/rules: Override blhc for missing gethost hardening flags.

 -- Josef Schneider <josef81sch@gmail.com>  Thu, 18 Apr 2024 17:41:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: tcsh
 Section: shells
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Josef Schneider <josef81sch@gmail.com>
-Build-Depends: libncurses-dev, debhelper-compat (= 13)
+Maintainer: Josef Schneider <josef81sch@gmail.com>
+Build-Depends: libncurses-dev, debhelper-compat (= 13), dpkg-dev (>= 1.22.1)
 Vcs-Browser: https://salsa.debian.org/debian/tcsh
 Vcs-Git: https://salsa.debian.org/debian/tcsh.git
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://www.tcsh.org/

=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,7 @@
 	dh_auto_configure -- --bindir=/bin
 
 override_dh_auto_build:
+	@echo "blhc: ignore-line-regexp: ^(cc|gcc) -.*gethost.*"
 	$(MAKE)
 	$(MAKE) catalogs

## tcsh 6.24.13

=== win32/msg/Makefile ===
!if "$(PROCESSOR_ARCHITECTURE)" == "x86"
MACHINE = ix86
!else if "$(PROCESSOR_ARCHITECTURE)" == "ALPHA"
MACHINE = alpha
!else  #Assume win9x
MACHINE = ix86
!endif
LIBS= libcmt.lib kernel32.lib

all: tcshfr.dll tcshc.dll tcshde.dll tcshsp.dll tcshja.dll tcsh-it.dll

stubdll.obj:stubdll.c
	cl -W3 -MT -c  stubdll.c

tcshgr.dll: tcshgr.res stubdll.obj
	link -machine:$(MACHINE) -nodefaultlib $(LIBS) tcshgr.res stubdll.obj \
	-out:tcshgr.dll

tcshfr.dll: tcshfr.res stubdll.obj
	link -machine:$(MACHINE) -dll -nodefaultlib $(LIBS) tcshfr.res stubdll.obj \
	-out:tcshfr.dll

tcshde.dll: tcshde.res stubdll.obj
	link -machine:$(MACHINE) -dll -nodefaultlib $(LIBS) tcshde.res stubdll.obj \
	-out:tcshde.dll

tcshsp.dll: tcshsp.res stubdll.obj
	link -machine:$(MACHINE) -dll -nodefaultlib $(LIBS) tcshsp.res stubdll.obj \
	-out:tcshsp.dll

tcsh-it.dll: tcsh-it.res stubdll.obj
	link -machine:$(MACHINE) -dll -nodefaultlib $(LIBS) tcsh-it.res stubdll.obj\
	-out:tcsh-it.dll

tcshja.dll: tcshja.res stubdll.obj
	link -machine:$(MACHINE) -dll -nodefaultlib $(LIBS) tcshja.res stubdll.obj \
	-out:tcshja.dll

tcshc.dll: tcshc.res stubdll.obj
	link -machine:$(MACHINE) -dll -nodefaultlib $(LIBS) tcshc.res stubdll.obj \
	-out:tcshc.dll

test.exe: test.obj
	link test.obj user32.lib -out:test.exe
clean:
	-del *.obj *.res

cleanall: clean
	-del *.dll *.exe

=== debian/changelog ===
tcsh (6.24.13-2) unstable; urgency=medium

  * Upload to unstable.

 -- Josef Schneider <josef81sch@gmail.com>  Wed, 24 Jul 2024 15:59:26 +0200

tcsh (6.24.13-1) experimental; urgency=medium

  * New upstream version.
  * debian/patches: Remove patches fixed in upstream.
    + fix-greek-locale-code.patch
    + gethost-crossbuild-flags.patch
  * debian/patches/fix-acute-accent-in-manpage.patch: Forwarded upstream.
  * debian/tcsh.lintian-overrides: Update line numbers.
  * debian/menu:
    + Change /bin to /usr/bin.
    + Part of /usr-move transition (Closes: #1073611).
  * debian/shells.d/tcsh: Change /bin to /usr/bin.
  * debian/postrm:
    + Change /bin to /usr/bin.
    + Remove /bin/tcsh symlink if it exists.
  * debian/control: Apply wrap-and-sort.
  * debian/tests/run-testsuite: Remove --bindir.
  * debian/rules: Remove unnecessary override_dh_auto_build target.
  * debian/postinst: Reverse tcsh symlink.

 -- Josef Schneider <josef81sch@gmail.com>  Sat, 29 Jun 2024 13:29:11 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: shells
 Priority: optional
 Maintainer: Josef Schneider <josef81sch@gmail.com>
-Build-Depends: libncurses-dev, debhelper-compat (= 13), dpkg-dev (>= 1.22.1)
+Build-Depends: debhelper-compat (= 13), dpkg-dev (>= 1.22.1), libncurses-dev
 Vcs-Browser: https://salsa.debian.org/debian/tcsh
 Vcs-Git: https://salsa.debian.org/debian/tcsh.git
 Standards-Version: 4.7.0
@@ -12,7 +12,7 @@
 Package: tcsh
 Architecture: any
 Multi-Arch: foreign
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Provides: c-shell
 Description: TENEX C Shell, an enhanced version of Berkeley csh
  The TENEX C Shell is an enhanced version of the Berkeley Unix C shell.

=== debian/rules ===
--- 
+++ 
@@ -11,9 +11,6 @@
 
 %:
 	dh $@
-
-override_dh_auto_configure:
-	dh_auto_configure -- --bindir=/bin
 
 override_dh_auto_build:
 	@echo "blhc: ignore-line-regexp: ^(cc|gcc) -.*gethost.*"

=== debian/watch ===
version=4
opts=filenamemangle=s/.+?(\d)_?(\d\d)_?(\d\d)\.tar\.gz/tcsh-$1.$2.$3\.tar\.gz
  https://github.com/tcsh-org/tcsh/tags .*?(\d)_?(\d\d)_?(\d\d)\.tar\.gz
